<!--
/********************************************************************************
 * Copyright © 2018 Mettenmeier GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->
<div class="container-fluid">
  <div class="row">
    <div class="col-md-12">
      <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h1 class="h2" id="overviewHeader">Planung</h1>
        <div class="btn-toolbar mb-2 mb-md-0">
          <div class="btn-group mr-2">
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row">
    <div *ngIf="authService.userHasRoles(['BP_Sachbearbeiter','BP_Admin'])" class="col-sm-6 col-md-4 col-xl-3">
      <ok-card cardHeaderText="Plan-Ebene" cardBodyText="Im Menü Plan-Ebene kann ein neuer Plan generiert bzw. eine bestehende Planung modifiziert werden, ohne den aktiven Plan zu beeinflussen."
        cardButtonText="Plan-Ebene öffnen" cardButtonRoute="planebene" cardButtonId="btnPlanEbene" id="cardPlanEbene">
      </ok-card>
    </div>
    <div *ngIf="authService.userHasRoles(['BP_Sachbearbeiter','BP_Admin'])" class="col-sm-6 col-md-4 col-xl-3">
      <ok-card cardHeaderText="Pläne transferieren" cardBodyText="Pläne aus der Plan-Ebene können in die Ist-Ebene überführt werden. Ebenso können Pläne aus der Ist-Ebene in die Plan-Ebene zurück geschoben werden."
        cardButtonText="Pläne transferieren" cardButtonRoute="transfer" cardButtonId="btnIstMovePlan" id="cardMovePlan">
      </ok-card>
    </div>
    <div class="col-sm-6 col-md-4 col-xl-3">
      <ok-card cardHeaderText="Ist-Ebene" cardBodyText="Im Menü Ist-Ebene kann die bestehende, aktive Planung angepasst werden. Hier werden Bereitschaftsdienste getauscht."
        cardButtonText="Ist-Ebene öffnen" cardButtonRoute="istebene" cardButtonId="btnIstEbene" id="cardIstEbene">
      </ok-card>
    </div>
    <div *ngIf="authService.userHasRoles(['BP_Sachbearbeiter','BP_Admin'])" class="col-sm-6 col-md-4 col-xl-3">
      <ok-card cardHeaderText="Archiv" cardBodyText="Das Archiv listet alle bisher archivierten Planzeiträume auf."
        cardButtonText="Archiv öffnen" cardButtonRoute="archiv" cardButtonId="btnArchive" id="cardArchive">
      </ok-card>
    </div>
  </div>
</div>